KDE 4.2 PyKDE API Reference

- KDE's Python API

# CollectionPropertiesDialog Class Reference

`from PyKDE4.akonadi import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Akonadi

## Detailed Description

A generic and extensible dialog for collection properties.

This dialog allows you to show or modify the properties of a collection.

     Akonadi.Collection collection = ...

     CollectionPropertiesDialog dlg( collection, this );
     dlg.exec();

It can be extended by custom pages, which contains gui elements for custom properties.

See also:
  Akonadi.CollectionPropertiesPage

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, Akonadi.Collection collection, QWidget parent=0)

## Static Methods

| registerPage (Akonadi.CollectionPropertiesPageFactory factory)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | QWidget | parent=0
| ) |  |  |

Creates a new collection properties dialog.

Parameters:

  | collection | The collection which properties should be shown.
  | parent | The parent widget.

registerPage | ( | Akonadi.CollectionPropertiesPageFactory | factory
| ) |  |  |

Register custom pages for the collection properties dialog.

Parameters:

  | factory | The properties page factory that provides the custom page.

See also:
  Akonadi.CollectionPropertiesPageFactory